# Class CalculatedObservationsTest

Namespace
  adas_core.Test.Customizations.H12O.UCIN

Assembly
  adas-core.Test.dll

    [TestFixture]
    [Order(2)]
    public class CalculatedObservationsTest

Inheritance
  object
  CalculatedObservationsTest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### CalculateAsistResp_ShouldUpdateObservation_WhenConditionsMet()

    [Test]
    public Task CalculateAsistResp_ShouldUpdateObservation_WhenConditionsMet()

#### Returns

Task

### CalculateComplexity_ECMOActive_AdjustsComplexity()

    [Test]
    public Task CalculateComplexity_ECMOActive_AdjustsComplexity()

#### Returns

Task

### CalculateComplexity_ExpiredObservation_DoesNotAddToComplexity()

    [Test]
    public Task CalculateComplexity_ExpiredObservation_DoesNotAddToComplexity()

#### Returns

Task

### CalculateComplexity_NewObservation_NoECMO_AddsComplexity()

    [Test]
    public Task CalculateComplexity_NewObservation_NoECMO_AddsComplexity()

#### Returns

Task

### CalculateIntravenousLineObservation_ShouldCalculateObservationAndAdjustTimeIfNecessary()

    [Test]
    public Task CalculateIntravenousLineObservation_ShouldCalculateObservationAndAdjustTimeIfNecessary()

#### Returns

Task

### CalculateMonitor_WithIncompleteData_ShouldNotInsertObservation()

    [Test]
    public Task CalculateMonitor_WithIncompleteData_ShouldNotInsertObservation()

#### Returns

Task

### CalculateMonitor_WithPatientTreatment_ShouldCalculateAndInsertObservation()

    [Test]
    public Task CalculateMonitor_WithPatientTreatment_ShouldCalculateAndInsertObservation()

#### Returns

Task

### CalculateMonitor_WithValidObservationOrTreatment_ShouldCalculateAndInsertObservation()

    [Test]
    public Task CalculateMonitor_WithValidObservationOrTreatment_ShouldCalculateAndInsertObservation()

#### Returns

Task

### CalculateOxygenationIndex_ShouldInsertCorrectObservation()

    [Test]
    public Task CalculateOxygenationIndex_ShouldInsertCorrectObservation()

#### Returns

Task

### CalculateTAmAlert_ShouldUpdateStatusCorrectly(string, int, int, Type)

    public Task CalculateTAmAlert_ShouldUpdateStatusCorrectly(string observationName, int tamValue, int gestationalAge, StatusEnum.Type expectedType)

#### Parameters

`observationName` string
`tamValue` int
`gestationalAge` int
`expectedType` StatusEnum.Type

#### Returns

Task

### CalculateTempGradient_WhenOneTemperatureIsMissing_ShouldNotCalculateGradient()

    [Test]
    public Task CalculateTempGradient_WhenOneTemperatureIsMissing_ShouldNotCalculateGradient()

#### Returns

Task

### CalculateTempGradient_WhenTempPatientAndTempIncubatorAreRecent_ShouldCalculateGradient()

    [Test]
    public Task CalculateTempGradient_WhenTempPatientAndTempIncubatorAreRecent_ShouldCalculateGradient()

#### Returns

Task

### CalculateVentilationMode_ShouldInsertCorrectRespType(string, RespirationType)

    public Task CalculateVentilationMode_ShouldInsertCorrectRespType(string value, RespirationType expectedRespType)

#### Parameters

`value` string
`expectedRespType` RespirationType

#### Returns

Task

### Calculate_First_Intravenous_Arterial_Observation_Should_Return_5()

    [Test]
    public Task Calculate_First_Intravenous_Arterial_Observation_Should_Return_5()

#### Returns

Task

### Calculate_First_Medicine_Observation_With_Out_Type_Should_Return_1()

    [Test]
    public Task Calculate_First_Medicine_Observation_With_Out_Type_Should_Return_1()

#### Returns

Task

### Calculate_First_Medicine_Observation_With_Type_Should_Return_1()

    [Test]
    public Task Calculate_First_Medicine_Observation_With_Type_Should_Return_1()

#### Returns

Task

### Calculate_Intravenous_Obs_Already_Exist_Removed_Should_Return_0()

    [Test]
    public Task Calculate_Intravenous_Obs_Already_Exist_Removed_Should_Return_0()

#### Returns

Task

### Calculate_Intravenous_sum_more_than_10_should_limit_to_ten()

    [Test]
    public Task Calculate_Intravenous_sum_more_than_10_should_limit_to_ten()

#### Returns

Task

### Calculate_Intravenous_sum_one_middle_line_and_two_Peripheral_should_return_5()

    [Test]
    public Task Calculate_Intravenous_sum_one_middle_line_and_two_Peripheral_should_return_5()

#### Returns

Task

### Calculate_Intravenous_two_observations_of_same_type_and_same_location_should_return_null()

    [Test]
    public Task Calculate_Intravenous_two_observations_of_same_type_and_same_location_should_return_null()

#### Returns

Task

### Calculate_Intravenous_two_observations_of_same_type_should_return_10()

    [Test]
    public Task Calculate_Intravenous_two_observations_of_same_type_should_return_10()

#### Returns

Task

### Calculate_Medicine_Observation_New_Medicine_Without_Type_Should_Insert_Medication_1_point()

    [Test]
    public Task Calculate_Medicine_Observation_New_Medicine_Without_Type_Should_Insert_Medication_1_point()

#### Returns

Task

### Calculate_Monitor_Transcuatenous_Regional_Brain_Saturation_and_enter_EEG_should_return_3()

    [Test]
    public Task Calculate_Monitor_Transcuatenous_Regional_Brain_Saturation_and_enter_EEG_should_return_3()

#### Returns

Task

### Calculate_Respiratory_INO_should_return_10()

    [Test]
    public Task Calculate_Respiratory_INO_should_return_10()

#### Returns

Task

### Calculate_Respiratory_Nassal_Canulas_Alto_Flujo_should_return_1()

    [Test]
    public Task Calculate_Respiratory_Nassal_Canulas_Alto_Flujo_should_return_1()

#### Returns

Task

### Calculate_Respiratory_Nassal_Canulas_Bajo_Flujo_should_return_2()

    [Test]
    public Task Calculate_Respiratory_Nassal_Canulas_Bajo_Flujo_should_return_2()

#### Returns

Task

### Calculate_Respiratory_VAFO_should_return_5()

    [Test]
    public Task Calculate_Respiratory_VAFO_should_return_5()

#### Returns

Task

### Calculate_Respiratory_VMC_should_return_3()

    [Test]
    public Task Calculate_Respiratory_VMC_should_return_3()

#### Returns

Task

### Calculate_Respiratory_VMNI_should_return_2()

    [Test]
    public Task Calculate_Respiratory_VMNI_should_return_2()

#### Returns

Task

### Calculate_Ventilation_Mode_Returns_HIGH_FREQUENCY()

    [Test]
    public Task Calculate_Ventilation_Mode_Returns_HIGH_FREQUENCY()

#### Returns

Task

### Calculate_Ventilation_Mode_Returns_INVASIVE()

    [Test]
    public Task Calculate_Ventilation_Mode_Returns_INVASIVE()

#### Returns

Task

### Calculate_Ventilation_Mode_Returns_NONE()

    [Test]
    public Task Calculate_Ventilation_Mode_Returns_NONE()

#### Returns

Task

### Calculate_Ventilation_Mode_Returns_NON_INVASIVE()

    [Test]
    public Task Calculate_Ventilation_Mode_Returns_NON_INVASIVE()

#### Returns

Task

### Calculate__Medicine_Observation_DC_OF_TYPE_WITH_TWO_MEDICINES_Should_Subtract_0()

    [Test]
    public Task Calculate__Medicine_Observation_DC_OF_TYPE_WITH_TWO_MEDICINES_Should_Subtract_0()

#### Returns

Task

### Calculate__Medicine_Observation_DC_Type_Already_Exists_Should_Subtract_0()

    [Test]
    public Task Calculate__Medicine_Observation_DC_Type_Already_Exists_Should_Subtract_0()

#### Returns

Task

### Calculate__Medicine_Observation_New_Type_Should_Sum_1()

    [Test]
    public Task Calculate__Medicine_Observation_New_Type_Should_Sum_1()

#### Returns

Task

### Calculate__Medicine_Observation_Type_Already_Exists_Should_Sum_0()

    [Test]
    public Task Calculate__Medicine_Observation_Type_Already_Exists_Should_Sum_0()

#### Returns

Task

### CheckObsExistsAndIncrementTime_SameHourObservation_IncrementsTime()

    [Test]
    public Task CheckObsExistsAndIncrementTime_SameHourObservation_IncrementsTime()

#### Returns

Task

### CheckObsWithSameTimeExistsAndIncrementTime_WhenObservationWithSameTimeExists_IncrementsTime()

    [Test]
    public Task CheckObsWithSameTimeExistsAndIncrementTime_WhenObservationWithSameTimeExists_IncrementsTime()

#### Returns

Task

### CheckSurgeryExpired_WhenExpired_InsertsCorrectObservation()

    [Test]
    public Task CheckSurgeryExpired_WhenExpired_InsertsCorrectObservation()

#### Returns

Task

### CheckSurgeryExpired_WhenNotExpired_DoesNotInsertObservation()

    [Test]
    public Task CheckSurgeryExpired_WhenNotExpired_DoesNotInsertObservation()

#### Returns

Task

### CheckTreatmentMedicines_ProcessesTreatmentCorrectly_WithParentalNutritionMedicine()

    [Test]
    public Task CheckTreatmentMedicines_ProcessesTreatmentCorrectly_WithParentalNutritionMedicine()

#### Returns

Task

### ParseWeight_WhenInvalidObservation_ShouldReturnOriginal()

    [Test]
    public Task ParseWeight_WhenInvalidObservation_ShouldReturnOriginal()

#### Returns

Task

### ParseWeight_WhenValidObservation_ShouldConvertUnitsAndValue()

    [Test]
    public Task ParseWeight_WhenValidObservation_ShouldConvertUnitsAndValue()

#### Returns

Task

### ParseWeight_WhenValueIsNotNumeric_ShouldHandleGracefullyAndReturnOriginal()

    [Test]
    public Task ParseWeight_WhenValueIsNotNumeric_ShouldHandleGracefullyAndReturnOriginal()

#### Returns

Task

### Setup()

    [SetUp]
    public void Setup()